내 회사 전역 권한 목록
curl --request GET \
--url https://openapi.rocketpunch.com/api/v1/me/company-permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.rocketpunch.com/api/v1/me/company-permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.rocketpunch.com/api/v1/me/company-permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companies": [
{
"company": {
"permalink": "rocketpunch",
"name": "로켓펀치",
"logoUrl": "<string>"
},
"capabilities": [
"event:create",
"job:create"
]
}
]
}{
"code": "C0005",
"message": "요청 값이 올바르지 않습니다.",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}{
"code": "C0005",
"message": "요청 값이 올바르지 않습니다.",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}Me
내 회사 전역 권한 목록
내가 회사 전역 역할을 보유한 회사 목록과 각 회사에서 수행 가능한 Open API 작업(capabilities). 리소스 단위 역할만 있는 회사는 포함되지 않는다(→ resource-roles 로 확인). company:manage:read scope 필요.
인증: Authorization: Bearer <jwt> 헤더가 필요하다.
필수 OAuth scope: company:manage:read.
GET
/
api
/
v1
/
me
/
company-permissions
내 회사 전역 권한 목록
인증
사용자 컨텍스트 인증용 access token. Authorization: Bearer <jwt> 형식으로 전송한다. OAuth 클라이언트 앱이 Authorization Code + PKCE 흐름으로 발급받은 토큰을 사용한다.
헤더
응답 지원 로케일: ko, en, ja, zh-CN, zh-TW, es, fr, de, pt, th, vi. 미지정 시 ko 기본값
예시:
"ko"
응답
조회 성공(권한 보유 회사 없으면 빈 배열).
내가 회사 전역 역할을 보유한 회사 목록과 수행 가능 작업.
Show child attributes
Show child attributes
이 페이지가 도움이 되었나요?
⌘I